Bug 173735 - Install Guide is Lacking Detailed information for an HTTP Installation
Install Guide is Lacking Detailed information for an HTTP Installation
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Paul W. Frields
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-11-19 20:16 EST by Scott Glaser
Modified: 2008-05-09 17:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-18 23:11:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Glaser 2005-11-19 20:16:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The Fedora Core 4 Installation is lacking detailed information for the commonly asked task of an HTTP Installation.  This is an RFE to hopefully include the documentation I have generated.  Here is the link to the procedure I have generated http://fedoraunity.org/index.php?option=content&task=view&id=31

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. None RFE for the Documentation Project - Intallation Guide

Actual Results:  N/A

Expected Results:  N/A

Additional info:

Comment 1 Paul W. Frields 2005-11-20 08:01:10 EST
When you read the network installation section at:


...what do you see missing that your document provides?  As the FTP, HTTP, and
NFS installation options all provide roughly identical dialogs (the FTP method
has an extra section for authentication), there is not really any good reason to
explain each one separately.
Comment 2 Scott Glaser 2005-11-20 11:58:32 EST
The issue as I see it is that if you give a new user the section on other
install methods, will that user be able to complete an HTP/FTP/NFS install?  I
currently participate in the #fedora channel regularly and based on the number
of requests for this information generated the procedure.  The procedure I
generated has led to several successful loads for Fedora Core.  In the past we
have pointed these users to the installation guide only to have them return and
continue to ask for more detailed infromation.  I would actually like to see
each of the other installation methods expounded upon.  I do agree that the
standard install is covered very well in the installation guide but there is
currently not enough detail in the other install methods for a basic user to
successfully install a system using those procedures IMHO.
Comment 3 Stuart Ellis 2005-11-20 12:44:27 EST

I think that part of the problem is really the structure of the IG. Almost all
of the information is there, but there are several alternative routes and
decision points in the installer, so the IG isn't totally sequential as your
material is. We are missing information on how to decide the URL, which you've
specified on your page (I've now added this to my TODO list).

One idea that I had for Fedora 5 was to take the screenshots produced for the
main IG and use them to create a slideshow/presentation that shows the sequence
of screens for installing Fedora from CD (accepting the defaults), with minimal
extra text. I hadn't thought about doing the same for other installation
methods, but we could do this for HTTP.

The first couple of sections of the IG could also do with being more clear, if
we can find a way (also now on my TODO list).
Comment 4 Scott Glaser 2005-11-20 13:03:19 EST

Keep in mind I am willing to help in anyway that I can.  If you need me to run
through each installation and do the screenshots, I can do that.  I belive that
your idea for Fedora 5 with the slideshow/presentation would be the correct
direction to go.  If you already have a format get it to me as I am getting
ready to do a couple of installs here and would be willing to flesh out one for
each type of installation.  I can support doing the i386, x86_64, HTTP, NFS, and
FTP, I have the the hardware and the servers to support doing this so that would
not be an issue.  Just let me know how I can help. 
Comment 5 Paul W. Frields 2005-11-20 13:08:26 EST
Working from a decision point idea, perhaps we could revise the IG to follow
more of a process flow.  "To install with X method, go to ____.  To install with
Y method, go to ____."  The branching is not very pronounced, and everything
flows back to a trunk afterward.  I think this is probably not too hard to do --
Scott, Stuart, how does that ring to you?

What I would like to see is for the community to *not* waste time creating
alternate versions of official documentation, but rather help us fix what's
there.  In order to fix it, we need to know with a little specificity (if
possible) what people are not finding.  That helps us figure out how to fix it
correctly.  Taking two documents and trying to munge them together into
something that works is rarely the most effective way to do that.

That having been said, bugs like this are the way to make that stuff happen. 
I'll see if I can do some revision of this today so that DocsRawhide will have a
copy for Scott's review.
Comment 6 Scott Glaser 2005-11-20 13:18:53 EST
Looking at this as I do (from the eyes of a new user), I think that would be
very beneficial, so your idea makes very good sense.  Also I do these alternate
procedures for my own personal use, I try to document how I do everything to my
systems so should I need to recover from an issue I have all the documentation
on how it is configured and how I got the various issues encountered resolved. 
That is part of the reason I joined the docs project, so I could help make the
docs more usable.  Let me know when you get the revision done I will take a look
once it is ready.
Comment 7 Paul W. Frields 2005-11-20 13:22:03 EST
I think it's awesome you want to help make this doc better.  I am working on it
as we speak and you will be able to see the changes shortly... I'll drop you an
email off BZ as soon as I have something, in case you're not watching the
fedora-docs-commits mailing list.
Comment 8 Stuart Ellis 2005-11-20 13:36:29 EST
Scott: Thanks. Once test1 is out I plan to complete a list of changes/tasks, and
post that to the docs list. One is (inevitably) going to be redoing the
screenshots. Another is testing alternative installation cases (e.g. installing
on a 64-bit system) to find any missing info - the current text was only tested
against 32-bit Intel.

Paul: I think that the beginning of the IG is tangled because anaconda allows
for any combination of boot device and installation source, so you can boot from
pen drive and then install from CD if you really wanted to... As you say, it
then straightens out, although when it hits partitioning it loses the "Next >
Next > Next" quality for a couple of sections as there are a number of
alternative scenarios there as well. The only solution that I could think of was
to yank the "Other Installation Methods" section out of the main text and make
it an Appendix.
Comment 9 Paul W. Frields 2005-11-20 14:42:34 EST
Stuart, absolutely right about the IG.  It's a difficult proposition but I am
doing a bit of rearranging right now to hopefully make it a little clearer. 
Will do some CVS commits so you can see the progress.  I'll let you know via
this bug when I'm finished taking my best shot.
Comment 10 Stuart Ellis 2005-12-11 21:27:06 EST
Update: Paul has reorganized the first chapter of the IG to look a lot better,
and I've edited the text in a couple of places to hopefully make network
installation easier to understand:


Comment 11 Scott Glaser 2005-12-18 10:19:44 EST
I have updated my reference link here for the how-to.  Here is the updated link
Those are a good start, but it still seems lacking in information.  A new user
who   has little or now experience in linux would still get lost and frustrated
trying to follow that installation guide imho.
Comment 12 Paul W. Frields 2005-12-18 22:10:42 EST
Scott, more detailed information would be helpful.  What part do you think gets
confusing?  What do you think the new user needs to know that we haven't
covered?  Can you make some specific suggestions for what changes you would like
to see?
Comment 13 Scott Glaser 2005-12-23 05:37:36 EST
(In reply to comment #12)
> Scott, more detailed information would be helpful.  What part do you think gets
> confusing?  What do you think the new user needs to know that we haven't
> covered?  Can you make some specific suggestions for what changes you would like
> to see?

Paul: As I stated in comment #6, I look at it as a "new user", the way I do that
is I hand the procedure to my wife who has just installed FC in the past couple
of weeks. If she can complete the task with little or no assistance from me the
procedure provides enough detail and content. I have shown her the updated
section and she states that the document still does not have enough information
to complete a Network Installation based on the current updates. 

Yes the docs cover the basic idea of the various types of installation, but do
not include enough detail for a user with little or not experience with FC to
complete the given task such as an FTP/HTTP install.

The sample that I point to is
I have even found that my post was still lacking some information so I updated
it. In the update post I have covered everything from Downloading the ISO image,
buring the image properly to a disk, booting the media, commencing the install
process. That is an example I can hand to just about anybody that can turn on a
computer and the can complete an HTTP install.  Is it perfect no, however it
contains all the information needed to complete the required task.

Comment 14 Scott Glaser 2006-01-03 22:06:10 EST
Now that I have the CVS source document imported I will work on the Installation
Guide the correct way. As requested I have put what I am working up on a private
server for the purpose of tracking progress, here is the link:
Comment 15 Rahul Sundaram 2006-05-28 09:40:43 EDT
I cant find the document in the above location. whats the progress on this?
Comment 16 Scott Glaser 2006-05-29 10:25:53 EDT

Currently due to work-load it has been placed on hold. As time permits I will
continue to work on preparing it for FC6.
Comment 17 Paul W. Frields 2006-09-11 09:29:00 EDT
Reassign to new default owner.
Comment 18 Paul W. Frields 2007-05-18 23:11:12 EDT
The workflow has been changed quite a bit in the new F7 IG.  I am clearing this
bug since I have no new information from the OP.  Discussion is very welcome on
the fedora-docs-list pursuant to the new work in CVS.

Note You need to log in before you can comment on or make changes to this bug.